#include <cstdio>
#include <cstring>
#include <cmath>
#include <ctime>

#include "VertexOnVertex.h"
#include "Mesh.h"

namespace bamg {

	/*Constructors/Destructors*/
	/*FUNCTION VertexOnVertex::VertexOnVertex(){{{*/
	VertexOnVertex::VertexOnVertex() {
		v=NULL;
		bv=NULL;
	};/*}}}*/
	/*FUNCTION VertexOnVertex::VertexOnVertex(BamgVertex * w,BamgVertex *bw){{{*/
	VertexOnVertex::VertexOnVertex(BamgVertex * w,BamgVertex *bw) :v(w),bv(bw){

	}/*}}}*/

	/*Methods*/
	/*FUNCTION VertexOnVertex::Set{{{*/
	void VertexOnVertex::Set(const Mesh &Th ,long i,Mesh &ThNew) { 
		*this = Th.VertexOnBThVertex[i];  
		v     = ThNew.vertices + Th.GetId(v);
	}
	/*}}}*/
	/*FUNCTION VertexOnVertex::SetOnBTh{{{*/
	void VertexOnVertex::SetOnBTh(){
		v->BackgroundVertexHook=bv;v->IndexInTriangle=IsVertexOnVertex;
	}/*}}}*/

} 
